import { forwardRef, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PasscodeController } from './passcode.controller';
import { PasscodeService } from './passcode.service';
import { Passcode } from './entity/passcode.entity';
import { PrestamoModule } from '../prestamo/prestamo.module';
import { ValidarUsuarioModule } from '../validar-usuario/validar-usuario.module';

@Module({
  imports: [
    forwardRef(() => PrestamoModule),
    TypeOrmModule.forFeature([Passcode]),
    ValidarUsuarioModule,
  ],
  controllers: [PasscodeController],
  providers: [PasscodeService],
  exports: [PasscodeService],
})
export class PasscodeModule {}
